From 64c21a48ca4b6de91596ce19123f93f5184bda1c Mon Sep 17 00:00:00 2001
From: Dilip Kumar <dilipkumar@localhost.localdomain>
Date: Wed, 8 May 2019 17:16:47 +0530
Subject: [PATCH 1/4] Update oldest_data on startup

---
 src/backend/access/undo/undolog.c | 1 +
 1 file changed, 1 insertion(+)

diff --git a/src/backend/access/undo/undolog.c b/src/backend/access/undo/undolog.c
index 9d49d04..956f277 100644
--- a/src/backend/access/undo/undolog.c
+++ b/src/backend/access/undo/undolog.c
@@ -1591,6 +1591,7 @@ StartupUndoLogs(XLogRecPtr checkPointRedo)
 		 */
 		log->logno = log->meta.logno;
 		log->pid = InvalidPid;
+		log->oldest_data = MakeUndoRecPtr(log->logno, log->meta.discard);
 		if (log->meta.status == UNDO_LOG_STATUS_ACTIVE)
 		{
 			log->next_free = shared->free_lists[log->meta.persistence];
-- 
1.8.3.1

